# Yaf_Route_Supervar::route

(Yaf >=1.0.0)

Yaf_Route_Supervar::route — The route purpose

### Description

public Yaf_Route_Supervar::route ( Yaf_Request_Abstract `$request` ) : bool

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`request`

### Return Values

If there is a key(which was defined in Yaf_Route_Supervar::__construct()) in $_GET, return `TRUE`. otherwise return `FALSE`.